Subject: Re: bug#18529: 24.4.50; gnus-asynchronous and long waits

From: Dmitry Antipov <[email-masked]>
Date: Mon, 22 Sep 2014 20:42:08 +0400

On 09/22/2014 08:29 PM, Tom Tromey wrote:

> I have gnus-asynchronous to t.
>
> When I start reading a group -- I tried just now with
> gmane.emacs.bugs -- I can read a single article just fine.
> Then if I try to open the next article (say by typing "n"),
> Emacs just pauses, saying:
>
>      Waiting for async article...
>
> I've waited several minutes before without it working.
>
> If I C-g the wait, then try to read the chosen article again, it works.
>
> At first I thought this was some issue with the network.
> However, if I set gnus-asynchronous to nil, then everything works fine.

Try to set EMACS_IGNORE_TIMERFD=1 environment variable (see src/atimer.c
for details).

Dmitry